org.jboss.resteasy.plugins.server.netty

## Class HttpServerPipelineFactory

- java.lang.Object
- - org.jboss.resteasy.plugins.server.netty.HttpServerPipelineFactory

- All Implemented Interfaces:
    org.jboss.netty.channel.ChannelPipelineFactory
  Direct Known Subclasses:
    HttpsServerPipelineFactory

      public class HttpServerPipelineFactory
      extends Object
      implements org.jboss.netty.channel.ChannelPipelineFactory

  The `ChannelPipelineFactory` which is used to serve HTTP Traffic.
  Version:
    $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
  Author:
    The Netty Project, Andy Taylor (andy.taylor@jboss.org), Trustin Lee, Norman Maurer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpServerPipelineFactory(RequestDispatcher dispatcher, String root, int executorThreadCount, int maxRequestSize, boolean isKeepAlive)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jboss.netty.channel.ChannelPipeline` | `getPipeline()`
    `protected RestEasyHttpRequestDecoder.Protocol` | `getProtocol()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpServerPipelineFactory

          public HttpServerPipelineFactory(RequestDispatcher dispatcher,
                                   String root,
                                   int executorThreadCount,
                                   int maxRequestSize,
                                   boolean isKeepAlive)

  - ### Method Detail

    - #### getPipeline

          public org.jboss.netty.channel.ChannelPipeline getPipeline()
                                                              throws Exception

      Specified by:
        `getPipeline` in interface `org.jboss.netty.channel.ChannelPipelineFactory`
      Throws:
        `Exception`

    - #### getProtocol

          protected RestEasyHttpRequestDecoder.Protocol getProtocol()

Copyright © 2014. All Rights Reserved.